Subject: Re: linux-next: build failure after merge of the kspp tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 16 Jun 2017 13:31:44 +1000

Hi Kees,

On Thu, 15 Jun 2017 20:20:47 -0700 Kees Cook <[email-masked]> wrote:
>
> I'm so confused -- isn't this in next? All the build tests I did were
> against yesterday's -next which includes this from what I can see...

It is in next, but gets merged after the kspp tree ... so, this is when
inter-tree dependencies are a pain - I can merge the kspp tree later,
but then you have to remember which trees Linus must merge before you
send your pull request.  That's why we like to have all trees be
effectively stand alone (as much as possible).

-- 
Cheers,
Stephen Rothwell